---
seotitle: Usage limits and Fair Use guidelines
seodesc: Encore comes with a built-in development cloud with generous Fair Use limits. This makes it easy to get started building your next backend application without requiring a cloud account.
title: Usage limits
subtitle: Encore Cloud limits and Fair Use guidelines
---

Encore comes with a built-in development cloud, Encore Cloud, that is free to use for development and hobby projects.
Encore Cloud is subject to Fair Use guidelines and comes without warranty, as it is not intended for business-critical use cases.

For production use cases, Encore is designed to be used in concert with a cloud account at any of the major cloud providers.
In which case, Encore Cloud is only used for Preview Environments and any testing environments you choose to create using Encore Cloud. This means Encore has no incentive to increase your usage – rather we can focus on building tools to help you minimize your cloud spending! (Should you wish to use Encore Cloud instead of your own cloud account, please [contact us](mailto:hello@encore.dev).)

### Examples of Fair Use

- Prototyping & experimentation
- Production use for hobby projects with limited load
- Commercial use for non-business-critical use cases with limited load

### Never Fair Use

- Proxies and VPNs
- Media hosting for hot-linking
- Scrapers
- Crypto Mining
- CPU-intensive APIs (e.g.: Machine Learning)
- Load Testing

## Usage guidelines

As a guideline for anyone building with Encore, we expect most users to fall within the limits below.
We want to be as flexible and permissive as possible, and will wherever possible reach out and work with you
to find a good solution should we notice that you are exceeding these limits.

For users on a paid plan, we can change these limits to support your needs. If you have significantly higher requirements,
this may come with an additional charge (at cost) to cover the extra capacity. Please [contact us](mailto:hello@encore.dev) for more information.

**We will never charge you for usage of Encore Cloud unless expressly agreed in advance.**

### Usage limits

|   | Per application |
| - | - |
| Requests | 100,000 / day |
| Database Storage | 1 GB |
| PubSub Messages  | 100,000 / day |

### What happens if I reach a usage limit?

If your application reaches a usage limit, we will **not** automatically stop it.
Our team will reach out to you, and work with you to find a solution that does not cause any undue disruption to your application. For users on paid plans, we will always ensure your team can keep working!